Subject: Re: TCP sender stuck despite receiving ACKs from the peer

From: Stephen Hemminger <[email-masked]>
Date: Fri, 31 Oct 2025 11:01:33 -0700

On Fri, 31 Oct 2025 10:43:36 -0700
Christoph Schwarz <[email-masked]> wrote:

> The "parent" device is served by a proprietary device driver for a 
> switch ASIC, and implements TX flow control, with the TX queue being 
> stopped frequently. It does not have TSO capabilities. We could look 
> into adding that, but as of now it is not an option.

You really should not expect any on mailing list support for anything
that uses proprietary device driver. I.e "not my problem go away"